JmxChannel (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.tribes

## Interface JmxChannel

- All Superinterfaces:
    MBeanRegistration
  All Known Implementing Classes:
    GroupChannel

      public interface JmxChannel
      extends MBeanRegistration

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJmxDomain()` Return the jmx domain which this channel is registered.
    `String` | `getJmxPrefix()` Return the jmx prefix which will be used with channel ObjectName.
    `boolean` | `isJmxEnabled()` If set to true, this channel is registered with jmx.
    `void` | `setJmxDomain(String jmxDomain)` Set the jmx domain which this channel should be registered.
    `void` | `setJmxEnabled(boolean jmxEnabled)` If set to true, this channel is registered with jmx.
    `void` | `setJmxPrefix(String jmxPrefix)` Set the jmx prefix which will be used with channel ObjectName.

    - ### Methods inherited from interface javax.management.MBeanRegistration

      `postDeregister, postRegister, preDeregister, preRegister`

- - ### Method Detail

    - #### isJmxEnabled

          boolean isJmxEnabled()

      If set to true, this channel is registered with jmx.
      Returns:
        true if this channel will be registered with jmx.

    - #### setJmxEnabled

          void setJmxEnabled(boolean jmxEnabled)

      If set to true, this channel is registered with jmx.
      Parameters:
        `jmxEnabled` - set to true if this channel should be registered with jmx.

    - #### getJmxDomain

          String getJmxDomain()

      Return the jmx domain which this channel is registered.
      Returns:
        jmxDomain

    - #### setJmxDomain

          void setJmxDomain(String jmxDomain)

      Set the jmx domain which this channel should be registered.
      Parameters:
        `jmxDomain` - The jmx domain which this channel should be registered.

    - #### getJmxPrefix

          String getJmxPrefix()

      Return the jmx prefix which will be used with channel ObjectName.
      Returns:
        jmxPrefix

    - #### setJmxPrefix

          void setJmxPrefix(String jmxPrefix)

      Set the jmx prefix which will be used with channel ObjectName.
      Parameters:
        `jmxPrefix` - The jmx prefix which will be used with channel ObjectName.

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.